Skip to main content
POST
/
fish
/
tts
Fish Tts
curl --request POST \
  --url https://api.acedata.cloud/fish/tts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "Hello, this is a Fish-Audio-compatible test."
}
'
{
  "audio_url": "https://platform.r2.fish.audio/task/8a72ff9840234006a9f74cb2fa04f978.mp3"
}

Authorizations

Authorization
string
header
required

Headers

accept
enum<string>

Fish Tts Param Accept

Available options:
application/json
model
enum<string>

Fish Tts Param Model

Available options:
s1,
s2-pro

Body

application/json
text
string
required

Fish Tts Text

Example:

"Hello, this is a Fish-Audio-compatible test."

reference_id
string

Fish Tts Reference Id

Example:

"d7900c21663f485ab63ebdb7e5905036"

format
enum<string>

Fish Tts Format

Available options:
mp3,
wav,
pcm,
opus
sample_rate
integer

Fish Tts Sample Rate

mp3_bitrate
enum<integer>

Fish Tts Mp3 Bitrate

Available options:
64,
128,
192
opus_bitrate
integer

Fish Tts Opus Bitrate

latency
enum<string>

Fish Tts Latency

Available options:
normal,
balanced
chunk_length
integer

Fish Tts Chunk Length

min_chunk_length
integer

Fish Tts Min Chunk Length

temperature
number

Fish Tts Temperature

top_p
number

Fish Tts Top P

repetition_penalty
number

Fish Tts Repetition Penalty

max_new_tokens
integer

Fish Tts Max New Tokens

normalize
boolean

Fish Tts Normalize

prosody
object

Fish Tts Prosody

references
object[]

Fish Tts References

callback_url
string

Fish Tts Callback Url

async
boolean

Fish Tts Async

Response

Fish Tts Response 200

audio_url
string

Fish Tts Response 200 Audio Url